package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttFlumBase;
import org.apache.ibatis.annotations.Mapper;

/** 渡槽信息 Mapper */
@Mapper
public interface AttFlumBaseMapper {
    /**
     * 查询渡槽信息列表
     * 
     * @param attFlumBase 查询条件
     * @return 渡槽信息列表
     */
    public List<AttFlumBase> selectAttFlumBaseList(AttFlumBase attFlumBase);

    /**
     * 通过渡槽编码查询渡槽信息
     * 
     * @param flumCode 渡槽编码
     * @return 渡槽信息
     */
    public AttFlumBase selectAttFlumBaseById(String flumCode);

    /**
     * 通过渡槽编码删除渡槽信息
     * 
     * @param flumCode 渡槽编码
     * @return 影响行数
     */
    public int deleteAttFlumBaseById(String flumCode);

    /**
     * 批量删除渡槽信息
     * 
     * @param flumCodes 渡槽编码数组
     * @return 影响行数
     */
    public int deleteAttFlumBaseByIds(String[] flumCodes);

    /**
     * 修改渡槽信息
     * 
     * @param attFlumBase 渡槽信息
     * @return 影响行数
     */
    public int updateAttFlumBase(AttFlumBase attFlumBase);

    /**
     * 新增渡槽信息
     * 
     * @param attFlumBase 渡槽信息
     * @return 影响行数
     */
    public int insertAttFlumBase(AttFlumBase attFlumBase);
}
